## PolkitAgentTextListener

PolkitAgentTextListener — Text-based Authentication Agent

## Stability Level

Unstable, unless otherwise indicated

## Functions

PolkitAgentListener * | polkit_agent_text_listener_new ()

## Types and Values

| PolkitAgentTextListener

## Object Hierarchy

        GObject
        ╰── PolkitAgentListener
            ╰── PolkitAgentTextListener

## Implemented Interfaces

PolkitAgentTextListener implements GInitable.

## Description

PolkitAgentTextListener is an PolkitAgentListener implementation that interacts with the user using a textual interface.

## Functions

### polkit_agent_text_listener_new ()

    PolkitAgentListener *
    polkit_agent_text_listener_new (GCancellable *cancellable,
                                    GError **error);

Creates a new PolkitAgentTextListener for authenticating the user via an textual interface on the controlling terminal (e.g. `/dev/tty`). This can fail if e.g. the current process has no controlling terminal.

#### Parameters

cancellable | A GCancellable or `NULL`. |
error | Return location for error or `NULL`. |

#### Returns

A PolkitAgentTextListener or `NULL` if `error` is set. Free with `g_object_unref()` when done with it.

## Types and Values

### PolkitAgentTextListener

    typedef struct _PolkitAgentTextListener PolkitAgentTextListener;

The PolkitAgentTextListener struct should not be accessed directly.